/*
 * Copyright 2022 KylinSoft Co., Ltd.
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import QtQuick 2.12
import QtQuick.Controls 2.5
import QtQuick.Layouts 1.3
import QtQuick.Window 2.12
import org.kde.kwin 3.0 as KWinComponents
import QtGraphicalEffects 1.0
import "Controller.js" as Controller
import IconTheme 1.0

Rectangle {
    id :windowViewFrame
    color : "transparent"

    property var windowIndex : 0

    MasterAppArea{
        id : appArea
        width : parent.width-desktopArea.width
        height : parent.height
        appModel : rootWindow.appWindowModel
        rootRect : rootWindow.screenRect
        appAreaController : new Controller.Controller(multitaskViewModel, appArea, multitaskViewManager, ["none"])
        keyAppController : new Controller.AppController(multitaskViewModel, appArea, multitaskViewManager, ["none"]);
    }

    MasterDesktopArea {
        id :desktopArea
        x : parent.width-parent.width*70/480
        y : 0
        width : parent.width-x
        height : parent.height
        desktopModel : rootWindow.desktopWindowModel
        rootRect : rootWindow.screenRect
        desktopAreaController : new Controller.Controller(multitaskViewModel, desktopArea, multitaskViewManager, ["none"])
        keyDesktopController : new Controller.DesktopController(multitaskViewModel, desktopArea, multitaskViewManager, ["app","desktop"])
        keyNewDesktopController : new Controller.CreationController(multitaskViewModel, desktopArea, multitaskViewManager, ["app","desktop"]);
    }

}


